unit upruefen;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { Tfzeitraum }

  Tfzeitraum = class(TForm)
    BitBtn1: TBitBtn;
    b_pruefen: TButton;
    e_jahr1: TEdit;
    e_jahr2: TEdit;
    e_antwort: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure b_pruefenClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fzeitraum: Tfzeitraum;

implementation

{$R *.lfm}

{ Tfzeitraum }

procedure Tfzeitraum.b_pruefenClick(Sender: TObject);
VAR jahr1,jahr2 : WORD;
    antworttext : STRING;

  PROCEDURE Wertuebergabe;
  BEGIN
   jahr1:=STRTOINT(e_jahr1.text);
   jahr2:=STRTOINT(e_jahr2.text);
  END;

  PROCEDURE pruefen(j1,j2 : WORD; VAR antwort : STRING);
  VAR ant1, ant2 : STRING[20];
  BEGIN
   CASE j1 OF
       0..1617 : ant1:='zu früh';
          1618 : ant1:='korrekt';
    1619..2016 : ant1:='zu spät';
    ELSE ant1:='nicht';
   END;

   CASE j2 OF
       0..1647 : ant2:='zu früh';
          1648 : ant2:='korrekt';
    1649..2016 : ant2:='zu spät';
    ELSE ant2:='nicht';
   END;

   antwort:='Zeitraum beginnt ' + ant1 + ', endet ' + ant2;
  END;

  PROCEDURE Ausgabe;
  BEGIN
   e_antwort.text:=antworttext;
  END;

begin
 //Init
   antworttext:='';

 //Eingabe
    Wertuebergabe;

  //Verarbeitung
    pruefen(jahr1,jahr2,antworttext);

  //Ausgabe
    Ausgabe;
end;

end.

